Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(638)

Unified Diff: buildbot/buildbot_pnacl2.sh

Issue 6665045: Added new config for pnacl2 bot to test spec 2k in train mode for all platfor... (Closed) Base URL: svn://svn.chromium.org/native_client/trunk/src/native_client/
Patch Set: '' Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | buildbot/buildbot_selector.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: buildbot/buildbot_pnacl2.sh
===================================================================
--- buildbot/buildbot_pnacl2.sh (revision 0)
+++ buildbot/buildbot_pnacl2.sh (revision 0)
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Script assumed to be run in native_client/
+if [[ $(pwd) != */native_client ]]; then
+ echo "ERROR: must be run in native_client!"
+ exit 1
+fi
+
+set -x
+set -e
+set -u
+
+######################################################################
+# SCRIPT CONFIG
+######################################################################
+
+CLOBBER=${CLOBBER:-yes}
+SCONS_COMMON="./scons --mode=opt-linux bitcode=1 -j8"
+SPEC_HARNESS=${SPEC_HARNESS:-/home/chrome-bot/cpu2000-redhat64-ia32}
+SETUPS="SetupPnaclArmOpt SetupPnaclX8632Opt SetupPnaclX8664Opt \
+ SetupPnaclTranslatorX8632Opt SetupPnaclTranslatorX8664Opt"
+
+# Rough test running time classification for ARM which is our bottleneck
+FAST_ARM="176.gcc 181.mcf 197.parser 254.gap"
+MEDIUM_ARM="164.gzip 175.vpr 179.art 186.crafty 252.eon 256.bzip2 255.vortex 300.twolf"
+SLOW_ARM="177.mesa 183.equake 188.ammp 253.perlbmk"
+
+TestsToBuild() {
+ local setup=$1
+ case ${setup} in
+ SetupPnaclArmOpt)
+ # we expect arm to diverge
+ echo ${FAST_ARM} 252.eon 179.art
+ ;;
+ SetupPnaclTranslator*)
+ echo 176.gcc
+ ;;
+ *)
+ echo ${FAST_ARM} 252.eon 179.art
+ ;;
+ esac
+}
+
+TestsToRun() {
+ local setup=$1
+ case ${setup} in
+ SetupPnaclArmOpt)
+ # we expect arm to diverge
+ echo ${FAST_ARM} 252.eon 179.art
+ ;;
+ SetupPnaclTranslator*)
+ echo 176.gcc
+ ;;
+ *)
+ echo ${FAST_ARM} 252.eon 179.art
+ ;;
+ esac
+}
+
+######################################################################
+# SCRIPT ACTION
+######################################################################
+
+if [ "${CLOBBER}" == "yes" ] ; then
+ echo @@@BUILD_STEP clobber@@@
+ rm -rf scons-out toolchain compiler hg ../xcodebuild ../sconsbuild ../out \
+ src/third_party/nacl_sdk/arm-newlib
+
+ echo @@@BUILD_STEP gclient_runhooks@@@
+ gclient runhooks --force
+fi
+
+for platform in arm x86-32 x86-64 ; do
+ echo @@@BUILD_STEP scons sel_ldr [${platform}]@@@
+ ${SCONS_COMMON} platform=${platform} sel_ldr sel_universal
+done
+
+cd tests/spec2k/
+
+
+for setup in ${SETUPS}; do
+ echo @@@BUILD_STEP spec2k build [${setup}] [train]@@@
+ ./run_all.sh CleanBenchmarks
+ ./run_all.sh PopulateFromSpecHarness ${SPEC_HARNESS}
+ MAKEOPTS=-j8 ./run_all.sh BuildBenchmarks 0 ${setup} $(TestsToBuild ${setup})
+
+ echo @@@BUILD_STEP spec2k run [${setup}] [train]@@@
+ ./run_all.sh RunBenchmarks ${setup} train $(TestsToRun ${setup})
+done
Property changes on: buildbot/buildbot_pnacl2.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:eol-style
+ LF
« no previous file with comments | « no previous file | buildbot/buildbot_selector.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698